export default {
  categories: [
    {
      name: "Chart",
      icon: "ri-bar-chart-2-line",
      isCategory: true,
      children: [
        {
          name: "Bar Chart",
          _component: "@budibase/standard-components/bar",
          description: "Bar chart",
          icon: "ri-bar-chart-line",
          properties: {
            settings: [
              {
                label: "Title",
                key: "title",
                control: Input,
              },
              {
                label: "Data",
                key: "datasource",
                control: TableViewSelect,
              },
              {
                label: "Label Col.",
                key: "labelColumn",
                dependsOn: "datasource",
                control: TableViewFieldSelect,
              },
              {
                label: "Data Cols.",
                key: "valueColumns",
                dependsOn: "datasource",
                control: MultiTableViewFieldSelect,
              },
              {
                label: "Format",
                key: "yAxisUnits",
                control: OptionSelect,
                options: ["Default", "Thousands", "Millions"],
                defaultValue: "Default",
              },
              {
                label: "Y Axis Label",
                key: "yAxisLabel",
                control: Input,
              },
              {
                label: "X Axis Label",
                key: "xAxisLabel",
                control: Input,
              },
              {
                label: "Width",
                key: "width",
                control: Input,
              },
              {
                label: "Height",
                key: "height",
                control: Input,
                defaultValue: "400",
              },
              {
                label: "Colours",
                key: "palette",
                control: OptionSelect,
                defaultValue: "Palette 1",
                options: [
                  "Palette 1",
                  "Palette 2",
                  "Palette 3",
                  "Palette 4",
                  "Palette 5",
                  "Palette 6",
                  "Palette 7",
                  "Palette 8",
                  "Palette 9",
                  "Palette 10",
                ],
              },
              {
                label: "Stacked",
                key: "stacked",
                control: Checkbox,
                valueKey: "checked",
                defaultValue: false,
              },
              {
                label: "Data Labels",
                key: "dataLabels",
                control: Checkbox,
                valueKey: "checked",
                defaultValue: false,
              },
              {
                label: "Animate",
                key: "animate",
                control: Checkbox,
                valueKey: "checked",
                defaultValue: true,
              },
              {
                label: "Legend",
                key: "legend",
                control: Checkbox,
                valueKey: "checked",
                defaultValue: false,
              },
            ],
          },
        },
        {
          name: "Line Chart",
          _component: "@budibase/standard-components/line",
          description: "Line chart",
          icon: "ri-line-chart-line",
          properties: {
            settings: [
              {
                label: "Title",
                key: "title",
                control: Input,
              },
              {
                label: "Data",
                key: "datasource",
                control: TableViewSelect,
              },
              {
                label: "Label Col.",
                key: "labelColumn",
                dependsOn: "datasource",
                control: TableViewFieldSelect,
              },
              {
                label: "Data Cols.",
                key: "valueColumns",
                dependsOn: "datasource",
                control: MultiTableViewFieldSelect,
              },
              {
                label: "Format",
                key: "yAxisUnits",
                control: OptionSelect,
                options: ["Default", "Thousands", "Millions"],
                defaultValue: "Default",
              },
              {
                label: "Y Axis Label",
                key: "yAxisLabel",
                control: Input,
              },
              {
                label: "X Axis Label",
                key: "xAxisLabel",
                control: Input,
              },
              {
                label: "Width",
                key: "width",
                control: Input,
              },
              {
                label: "Height",
                key: "height",
                control: Input,
                defaultValue: "400",
              },
              {
                label: "Curve",
                key: "curve",
                control: OptionSelect,
                options: ["Smooth", "Straight", "Stepline"],
                defaultValue: "Smooth",
              },
              {
                label: "Colours",
                key: "palette",
                control: OptionSelect,
                defaultValue: "Palette 1",
                options: [
                  "Palette 1",
                  "Palette 2",
                  "Palette 3",
                  "Palette 4",
                  "Palette 5",
                  "Palette 6",
                  "Palette 7",
                  "Palette 8",
                  "Palette 9",
                  "Palette 10",
                ],
              },
              {
                label: "Data Labels",
                key: "dataLabels",
                control: Checkbox,
                valueKey: "checked",
                defaultValue: false,
              },
              {
                label: "Animate",
                key: "animate",
                control: Checkbox,
                valueKey: "checked",
                defaultValue: true,
              },
              {
                label: "Legend",
                key: "legend",
                control: Checkbox,
                valueKey: "checked",
                defaultValue: false,
              },
            ],
          },
        },
        {
          name: "Area Chart",
          _component: "@budibase/standard-components/area",
          description: "Line chart",
          icon: "ri-line-chart-fill",
          properties: {
            settings: [
              {
                label: "Title",
                key: "title",
                control: Input,
              },
              {
                label: "Data",
                key: "datasource",
                control: TableViewSelect,
              },
              {
                label: "Label Col.",
                key: "labelColumn",
                dependsOn: "datasource",
                control: TableViewFieldSelect,
              },
              {
                label: "Data Cols.",
                key: "valueColumns",
                dependsOn: "datasource",
                control: MultiTableViewFieldSelect,
              },
              {
                label: "Format",
                key: "yAxisUnits",
                control: OptionSelect,
                options: ["Default", "Thousands", "Millions"],
                defaultValue: "Default",
              },
              {
                label: "Y Label",
                key: "yAxisLabel",
                control: Input,
              },
              {
                label: "X Label",
                key: "xAxisLabel",
                control: Input,
              },
              {
                label: "Width",
                key: "width",
                control: Input,
              },
              {
                label: "Height",
                key: "height",
                control: Input,
                defaultValue: "400",
              },
              {
                label: "Curve",
                key: "curve",
                control: OptionSelect,
                options: ["Smooth", "Straight", "Stepline"],
                defaultValue: "Smooth",
              },
              {
                label: "Colours",
                key: "palette",
                control: OptionSelect,
                defaultValue: "Palette 1",
                options: [
                  "Palette 1",
                  "Palette 2",
                  "Palette 3",
                  "Palette 4",
                  "Palette 5",
                  "Palette 6",
                  "Palette 7",
                  "Palette 8",
                  "Palette 9",
                  "Palette 10",
                ],
              },
              {
                label: "Data Labels",
                key: "dataLabels",
                control: Checkbox,
                valueKey: "checked",
                defaultValue: false,
              },
              {
                label: "Animate",
                key: "animate",
                control: Checkbox,
                valueKey: "checked",
                defaultValue: true,
              },
              {
                label: "Legend",
                key: "legend",
                control: Checkbox,
                valueKey: "checked",
                defaultValue: false,
              },
              {
                label: "Stacked",
                key: "stacked",
                control: Checkbox,
                valueKey: "checked",
                defaultValue: true,
              },
              {
                label: "Gradient",
                key: "gradient",
                control: Checkbox,
                valueKey: "checked",
                defaultValue: false,
              },
            ],
          },
        },
        {
          name: "Pie Chart",
          _component: "@budibase/standard-components/pie",
          description: "Pie chart",
          icon: "ri-pie-chart-line",
          properties: {
            settings: [
              {
                label: "Title",
                key: "title",
                control: Input,
              },
              {
                label: "Data",
                key: "datasource",
                control: TableViewSelect,
              },
              {
                label: "Label Col.",
                key: "labelColumn",
                dependsOn: "datasource",
                control: TableViewFieldSelect,
              },
              {
                label: "Data Col.",
                key: "valueColumn",
                dependsOn: "datasource",
                control: TableViewFieldSelect,
              },
              {
                label: "Width",
                key: "width",
                control: Input,
              },
              {
                label: "Height",
                key: "height",
                control: Input,
                defaultValue: "200",
              },
              {
                label: "Colours",
                key: "palette",
                control: OptionSelect,
                defaultValue: "Palette 1",
                options: [
                  "Palette 1",
                  "Palette 2",
                  "Palette 3",
                  "Palette 4",
                  "Palette 5",
                  "Palette 6",
                  "Palette 7",
                  "Palette 8",
                  "Palette 9",
                  "Palette 10",
                ],
              },
              {
                label: "Data Labels",
                key: "dataLabels",
                control: Checkbox,
                valueKey: "checked",
                defaultValue: false,
              },
              {
                label: "Animate",
                key: "animate",
                control: Checkbox,
                valueKey: "checked",
                defaultValue: true,
              },
              {
                label: "Legend",
                key: "legend",
                control: Checkbox,
                valueKey: "checked",
                defaultValue: true,
              },
            ],
          },
        },
        {
          name: "Donut Chart",
          _component: "@budibase/standard-components/donut",
          description: "Donut chart",
          icon: "ri-donut-chart-line",
          properties: {
            settings: [
              {
                label: "Title",
                key: "title",
                control: Input,
              },
              {
                label: "Data",
                key: "datasource",
                control: TableViewSelect,
              },
              {
                label: "Label Col.",
                key: "labelColumn",
                dependsOn: "datasource",
                control: TableViewFieldSelect,
              },
              {
                label: "Data Col.",
                key: "valueColumn",
                dependsOn: "datasource",
                control: TableViewFieldSelect,
              },
              {
                label: "Width",
                key: "width",
                control: Input,
              },
              {
                label: "Height",
                key: "height",
                control: Input,
                defaultValue: "200",
              },
              {
                label: "Colours",
                key: "palette",
                control: OptionSelect,
                defaultValue: "Palette 1",
                options: [
                  "Palette 1",
                  "Palette 2",
                  "Palette 3",
                  "Palette 4",
                  "Palette 5",
                  "Palette 6",
                  "Palette 7",
                  "Palette 8",
                  "Palette 9",
                  "Palette 10",
                ],
              },
              {
                label: "Data Labels",
                key: "dataLabels",
                control: Checkbox,
                valueKey: "checked",
                defaultValue: false,
              },
              {
                label: "Animate",
                key: "animate",
                control: Checkbox,
                valueKey: "checked",
                defaultValue: true,
              },
              {
                label: "Legend",
                key: "legend",
                control: Checkbox,
                valueKey: "checked",
                defaultValue: true,
              },
            ],
          },
        },
        {
          name: "Candlestick Chart",
          _component: "@budibase/standard-components/candlestick",
          description: "Candlestick chart",
          icon: "ri-stock-line",
          properties: {
            settings: [
              {
                label: "Title",
                key: "title",
                control: Input,
              },
              {
                label: "Data",
                key: "datasource",
                control: TableViewSelect,
              },
              {
                label: "Date Col.",
                key: "dateColumn",
                dependsOn: "datasource",
                control: TableViewFieldSelect,
              },
              {
                label: "Open Col.",
                key: "openColumn",
                dependsOn: "datasource",
                control: TableViewFieldSelect,
              },
              {
                label: "Close Col.",
                key: "closeColumn",
                dependsOn: "datasource",
                control: TableViewFieldSelect,
              },
              {
                label: "High Col.",
                key: "highColumn",
                dependsOn: "datasource",
                control: TableViewFieldSelect,
              },
              {
                label: "Low Col.",
                key: "lowColumn",
                dependsOn: "datasource",
                control: TableViewFieldSelect,
              },
              {
                label: "Format",
                key: "yAxisUnits",
                control: OptionSelect,
                options: ["Default", "Thousands", "Millions"],
                defaultValue: "Default",
              },
              {
                label: "Y Axis Label",
                key: "yAxisLabel",
                control: Input,
              },
              {
                label: "X Axis Label",
                key: "xAxisLabel",
                control: Input,
              },
              {
                label: "Width",
                key: "width",
                control: Input,
              },
              {
                label: "Height",
                key: "height",
                control: Input,
                defaultValue: "400",
              },
              {
                label: "Animate",
                key: "animate",
                control: Checkbox,
                valueKey: "checked",
                defaultValue: true,
              },
            ],
          },
        },
      ],
    },
  ],
}
